Name: clixon
Version: 5.4.0
Release: 1%{?dist}
Summary: The XML-based command line processing tool CLIXON
License: ASL 2.0 or GPLv2
URL: http://www.clicon.org
BuildRequires: flex bison gcc
BuildRequires: openssl-devel
BuildRequires: cligen-devel
BuildRequires: fcgi-devel
Source: %{name}-%{version}.tar.gz
AutoReq: no
Requires: cligen = %{version}
Requires: fcgi

%description
The XML-based command line processing tool CLIXON.

%package devel
Summary: CLIXON header files

%description devel
This package contains header files for CLIXON.

%prep
%setup -q

%build
%configure --enable-debug --with-restconf=fcgi --with-configfile=/etc/clixon.xml
%make_build

%install
make DESTDIR=${RPM_BUILD_ROOT} install install-include

%post
/sbin/ldconfig

caps="cap_setuid,cap_fowner,cap_chown,cap_dac_override"
caps="${caps},cap_kill,cap_net_admin,cap_net_bind_service"
caps="${caps},cap_net_broadcast,cap_net_raw"

if [ -x /usr/sbin/setcap ]; then
	/usr/sbin/setcap ${caps}=ep %{_bindir}/clixon_cli
	/usr/sbin/setcap ${caps}=ep %{_bindir}/clixon_netconf
	/usr/sbin/setcap ${caps}=ep %{_sbindir}/clixon_backend
fi

%postun
/sbin/ldconfig

%files
%{_libdir}/libclixon.so.*
%{_libdir}/libclixon_backend.so.*
%{_libdir}/libclixon_cli.so.*
%{_libdir}/libclixon_netconf.so.*
%{_libdir}/libclixon_restconf.so.*
%{_bindir}/clixon_cli
%{_bindir}/clixon_netconf
%{_sbindir}/clixon_backend
%{_sbindir}/clixon_restconf
%{_sysconfdir}/clixonrc
%{_datadir}/%{name}
/www-data/

%files devel
%{_includedir}/%{name}
%{_libdir}/libclixon.so
%{_libdir}/libclixon_backend.so
%{_libdir}/libclixon_cli.so
%{_libdir}/libclixon_netconf.so
%{_libdir}/libclixon_restconf.so
